Name:           rogue
Version:        5.4.2
Release:        8%{?dist}
Summary:        The original graphical adventure game

Group:          Amusements/Games
License:        BSD
URL:            http://roguelike.sourceforge.net/
Source0:        http://downloads.sourceforge.net/roguelike/rogue%{version}-src.tar.gz
Source1:        rogue.desktop
Source2:        rogue.png
Patch0:         rogue-rpmopts.patch
Patch1:         rogue-includes.patch
Patch2:         rogue-5.4-setgid.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  ncurses-devel

%description
The one, the only, the original graphical adventure game that spawned
an entire genre.

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{__sed} -i 's/\r//' rogue54.html
%{__sed} -i 's/\r//' readme54.html
chmod a-x *.c *.h


%build
make COPTS="$RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

install -pD -m 0755 rogue54 $RPM_BUILD_ROOT/%{_bindir}/rogue
install -pD rogue.6 $RPM_BUILD_ROOT/%{_mandir}/man6/rogue.6
mkdir -p $RPM_BUILD_ROOT/%{_var}/games/roguelike

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/

touch $RPM_BUILD_ROOT%{_var}/games/roguelike/rogue54.scr


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%attr(2755,games,games) %{_bindir}/rogue
%{_mandir}/man6/rogue.6.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/rogue.png
%dir %attr(0775,games,games) %{_var}/games/roguelike
%config(noreplace) %attr(0664,games,games) %{_var}/games/roguelike/rogue54.scr
%doc LICENSE.TXT rogue54.doc rogue54.html readme54.html



%changelog
* Sat Mar 3 2007 Wart <wart at kobold.org> 5.4.2-8
- Use better sourceforge download url
- Use more precise desktop file categories

* Mon Aug 28 2006 Wart <wart at kobold.org> 5.4.2-7
- Rebuild for Fedora Extras

* Tue May 16 2006 Wart <wart at kobold.org> 5.4.2-6
- Added empty initial scoreboard file.

* Mon May 15 2006 Wart <wart at kobold.org> 5.4.2-5
- Better setuid/setgid handling (again) (BZ #187392)

* Thu Mar 30 2006 Wart <wart at kobold.org> 5.4.2-4
- Better setuid/setgid handling (BZ #187392)
- Resize desktop icon to match directory name

* Mon Mar 13 2006 Wart <wart at kobold.org> 5.4.2-3
- Added icon for .desktop file.

* Sun Mar 12 2006 Wart <wart at kobold.org> 5.4.2-2
- Added missing BR: ncurses-devel, desktop-file-utils

* Sat Feb 25 2006 Wart <wart at kobold.org> 5.4.2-1
- Initial spec file.
